libzypp 17.37.10

zypp::target::RepoProvidePackage Class Reference

Default PackageProvider for CommitPackageCache. More...

`#include <zypp/target/CommitPackageCache.h>`

## Classes
struct | Impl

## Public Member Functions
| RepoProvidePackage ()
| ~RepoProvidePackage ()
ManagedFile | operator() (const PoolItem &pi, bool fromCache_r)
| Provide package optionally fron cache only.

## Private Attributes
RW_pointer< Impl > | _impl

## Detailed Description

Default PackageProvider for CommitPackageCache.

`pool_r` ResPool used to get candidates `pi` item to be commited

Definition at line 38 of file CommitPackageCache.h.

## Constructor & Destructor Documentation

## ◆ RepoProvidePackage()

zypp::target::RepoProvidePackage::RepoProvidePackage | ( |  | ) |

Definition at line 76 of file CommitPackageCache.cc.

## ◆ ~RepoProvidePackage()

zypp::target::RepoProvidePackage::~RepoProvidePackage | ( |  | ) |

Definition at line 84 of file CommitPackageCache.cc.

## Member Function Documentation

## ◆ operator()()

ManagedFile zypp::target::RepoProvidePackage::operator() | ( | const PoolItem & | pi,
|  | bool | fromCache_r )

Provide package optionally fron cache only.

Definition at line 87 of file CommitPackageCache.cc.

## Member Data Documentation

## ◆ _impl

RW_pointer<Impl> zypp::target::RepoProvidePackage::_impl
| private

Definition at line 49 of file CommitPackageCache.h.

The documentation for this class was generated from the following files:

- zypp/target/CommitPackageCache.h
- zypp/target/CommitPackageCache.cc